dnl $Id$
dnl config.m4 for extension pb

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:
AC_DEFUN(AM_PATH_LIBXML,
[dnl
dnl Get the cflags and libraries from the libxml-config script
dnl
AC_ARG_WITH(xml-config,
[  --with-xml-config=XML_CONFIG  Location of xml-config],
LIBXML_CONFIG="$withval")

AC_PATH_PROG(LIBXML_CONFIG, xml2-config, no)
AC_MSG_CHECKING(for libxml)
if test "$LIBXML_CONFIG" = "no"; then
  AC_MSG_RESULT(no)
  ifelse([$2], , :, [$2])
else
  LIBXML_CFLAGS=`$LIBXML_CONFIG --cflags`
  LIBXML_LIBS=`$LIBXML_CONFIG --libs`
  AC_MSG_RESULT(yes)
  ifelse([$1], , :, [$1])
fi
AC_SUBST(LIBXML_CFLAGS)
AC_SUBST(LIBXML_LIBS)
])

 PHP_ARG_WITH(pb, for pb support,
 [  --with-pb		  Include pb support])

AC_PATH_PROG(libxmlconfig, xml2-config)
AM_PATH_LIBXML(libxml=true, libxml=false)


if test "$PHP_PB" != "no" -a "x$libxml" = "xtrue"; then


  dnl # --with-pb -> check with-path
  dnl SEARCH_PATH="/usr/local /usr"     # you might want to change this
  dnl SEARCH_FOR="/include/pb.h"  # you most likely want to change this
  dnl if test -r $PHP_PB/; then # path given as parameter
  dnl   PB_DIR=$PHP_PB
  dnl else # search default path list
  dnl   AC_MSG_CHECKING([for pb files in default path])
  dnl   for i in $SEARCH_PATH ; do
  dnl     if test -r $i/$SEARCH_FOR; then
  dnl       PB_DIR=$i
  dnl       AC_MSG_RESULT(found in $i)
  dnl     fi
  dnl   done
  dnl fi
  dnl
  dnl if test -z "$PB_DIR"; then
  dnl   AC_MSG_RESULT([not found])
  dnl   AC_MSG_ERROR([Please reinstall the pb distribution])
  dnl fi

  dnl # --with-pb -> add include path
  PHP_ADD_INCLUDE($PB_DIR/include)
  

  PB_SHARED_LIBADD="$LIBXML_LIBS"
  PHP_SUBST( LIBXML_LIBS )
  PHP_SUBST(PB_SHARED_LIBADD)
  PHP_ADD_LIBRARY(xml,,LIBXML_LIBS)
  PHP_NEW_EXTENSION(pb, src/*.c, $ext_shared,,$LIBXML_CFLAGS -DPHP_MOD )
fi
