/****************************************************************************
** $Id: $
**
** Definition of TRUSTED_DATA
**
** Created : 030904
**
** Copyright (C) 2003  Stefano Di Paola All rights reserved.
**
** This file is part of the readdbp file package.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** 
** Contact stefano.dipaola1@tin.it if any conditions of this licensing are
** not clear to you.
** 
**********************************************************************/  
#ifndef MIN
#define MIN(a,b) (((a)<(b))?(a):(b))
#endif
#ifndef  __XML_PARSER_H__
#include <libxml/parser.h>
#include <libxml/xpath.h>
#include <libxml/xmlerror.h>
#include "zend_errors.h"
#endif

struct acl_nodes
{
  xmlNodePtr node;
  xmlDocPtr secretDoc;
  char *secret_filename;
  int ufownerid;
  int gfownerid;
  struct acl_nodes *next;
} ;

//void parse_rc(char  *xmlbuf,char  *tid,struct trusted_data *t_d);
//void parse_secret(struct trusted_data *t_d);

#ifndef  DTD_FILE_PATH
#define  DTD_FILE_PATH "/home/stefano/Projects/Sepis/dtd/PassBroker.dtd"
#endif
#ifndef  DTD_SECRETFILE_PATH
#define  DTD_SECRETFILE_PATH "/home/stefano/Projects/Sepis/dtd/PassBrokerSecret.dtd"
#endif

#ifndef ACLDIR
#define  ACL_DIR "/etc/pb/"
#endif
