/****************************************************************************
** $Id: $
**
** Definition of TRUSTED_DATA
**
** Created : 030904
**
** Copyright (C) 2003  Stefano Di Paola All rights reserved.
**
** This file is part of the readdbp file package.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** 
** Contact stefano.dipaola@wisec.it if any conditions of this licensing are
** not clear to you.
** 
**********************************************************************/  
#ifndef MIN
#define MIN(a,b) (((a)<(b))?(a):(b))
#endif

struct caller_info
{
   char *file_name;
   int file_name_uid;
   int file_name_gid;
   char *func_name;
   struct caller_info *next;
};
struct assoc_secret
{
   char *name;
   char *value;
   struct  assoc_secret *next;
};

struct trusted_secret 
{
   char *sid;
   struct assoc_secret *secret_info;
   struct caller_info *ci_acl;
   struct trusted_secret *next;
};

struct trusted_data
{
   char *tid;
   struct trusted_secret *tsecret;
   struct caller_info *ci_acl;
   struct trusted_data *next;
};

struct secret_info
{
   char *tid;
   char *sid;
    struct assoc_secret *secret;
   struct secret_info *next;
};
